# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.security.web.WebAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESS_DENIED_403`
`"SPRING_SECURITY_403_EXCEPTION"`
`public static final String`
`AUTHENTICATION_EXCEPTION`
`"SPRING_SECURITY_LAST_EXCEPTION"`

org.springframework.security.web.access.channel.ChannelDecisionManagerImpl
Modifier and Type
Constant Field
Value
`public static final String`
`ANY_CHANNEL`
`"ANY_CHANNEL"`

org.springframework.security.web.authentication.UsernamePasswordAuthenticationFilter
Modifier and Type
Constant Field
Value
`public static final String`
`SPRING_SECURITY_FORM_PASSWORD_KEY`
`"password"`
`public static final String`
`SPRING_SECURITY_FORM_USERNAME_KEY`
`"username"`

org.springframework.security.web.authentication.rememberme.AbstractRememberMeServices
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PARAMETER`
`"remember-me"`
`public static final String`
`SPRING_SECURITY_REMEMBER_ME_COOKIE_KEY`
`"remember-me"`
`public static final int`
`TWO_WEEKS_S`
`1209600`
org.springframework.security.web.authentication.rememberme.JdbcTokenRepositoryImpl
Modifier and Type
Constant Field
Value
`public static final String`
`CREATE_TABLE_SQL`
`"create table persistent_logins (username varchar(64) not null, series varchar(64) primary key, token varchar(64) not null, last_used timestamp not null)"`
`public static final String`
`DEF_INSERT_TOKEN_SQL`
`"insert into persistent_logins (username, series, token, last_used) values(?,?,?,?)"`
`public static final String`
`DEF_REMOVE_USER_TOKENS_SQL`
`"delete from persistent_logins where username = ?"`
`public static final String`
`DEF_TOKEN_BY_SERIES_SQL`
`"select username,series,token,last_used from persistent_logins where series = ?"`
`public static final String`
`DEF_UPDATE_TOKEN_SQL`
`"update persistent_logins set token = ?, last_used = ? where series = ?"`
org.springframework.security.web.authentication.rememberme.PersistentTokenBasedRememberMeServices
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_SERIES_LENGTH`
`16`
`public static final int`
`DEFAULT_TOKEN_LENGTH`
`16`

org.springframework.security.web.authentication.switchuser.SwitchUserFilter
Modifier and Type
Constant Field
Value
`public static final String`
`ROLE_PREVIOUS_ADMINISTRATOR`
`"ROLE_PREVIOUS_ADMINISTRATOR"`
`public static final String`
`SPRING_SECURITY_SWITCH_USERNAME_KEY`
`"username"`

org.springframework.security.web.authentication.ui.DefaultLoginPageGeneratingFilter
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LOGIN_PAGE_URL`
`"/login"`
`public static final String`
`ERROR_PARAMETER_NAME`
`"error"`

org.springframework.security.web.authentication.www.BasicAuthenticationConverter
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHENTICATION_SCHEME_BASIC`
`"Basic"`

org.springframework.security.web.context.AbstractSecurityWebApplicationInitializer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_FILTER_NAME`
`"springSecurityFilterChain"`
org.springframework.security.web.context.HttpSessionSecurityContextRepository
Modifier and Type
Constant Field
Value
`public static final String`
`SPRING_SECURITY_CONTEXT_KEY`
`"SPRING_SECURITY_CONTEXT"`

org.springframework.security.web.header.writers.frameoptions.XFrameOptionsHeaderWriter
Modifier and Type
Constant Field
Value
`public static final String`
`XFRAME_OPTIONS_HEADER`
`"X-Frame-Options"`

org.springframework.security.web.reactive.result.view.CsrfRequestDataValueProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CSRF_ATTR_NAME`
`"_csrf"`

org.springframework.security.web.server.ServerHttpBasicAuthenticationConverter
Modifier and Type
Constant Field
Value
`public static final String`
`BASIC`
`"Basic "`

org.springframework.security.web.server.authentication.SwitchUserWebFilter
Modifier and Type
Constant Field
Value
`public static final String`
`ROLE_PREVIOUS_ADMINISTRATOR`
`"ROLE_PREVIOUS_ADMINISTRATOR"`
`public static final String`
`SPRING_SECURITY_SWITCH_USERNAME_KEY`
`"username"`

org.springframework.security.web.server.authentication.logout.RedirectServerLogoutSuccessHandler
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_LOGOUT_SUCCESS_URL`
`"/login?logout"`

org.springframework.security.web.server.context.WebSessionServerSecurityContextRepository
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SPRING_SECURITY_CONTEXT_ATTR_NAME`
`"SPRING_SECURITY_CONTEXT"`

org.springframework.security.web.server.header.CacheControlServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`CACHE_CONTRTOL_VALUE`
`"no-cache, no-store, max-age=0, must-revalidate"`
`public static final String`
`EXPIRES_VALUE`
`"0"`
`public static final String`
`PRAGMA_VALUE`
`"no-cache"`
org.springframework.security.web.server.header.ClearSiteDataServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`CLEAR_SITE_DATA_HEADER`
`"Clear-Site-Data"`
org.springframework.security.web.server.header.ContentSecurityPolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_SECURITY_POLICY`
`"Content-Security-Policy"`
`public static final String`
`CONTENT_SECURITY_POLICY_REPORT_ONLY`
`"Content-Security-Policy-Report-Only"`
org.springframework.security.web.server.header.ContentTypeOptionsServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`NOSNIFF`
`"nosniff"`
`public static final String`
`X_CONTENT_OPTIONS`
`"X-Content-Type-Options"`
org.springframework.security.web.server.header.CrossOriginEmbedderPolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`EMBEDDER_POLICY`
`"Cross-Origin-Embedder-Policy"`
org.springframework.security.web.server.header.CrossOriginOpenerPolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`OPENER_POLICY`
`"Cross-Origin-Opener-Policy"`
org.springframework.security.web.server.header.CrossOriginResourcePolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_POLICY`
`"Cross-Origin-Resource-Policy"`
org.springframework.security.web.server.header.FeaturePolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`FEATURE_POLICY`
`"Feature-Policy"`
org.springframework.security.web.server.header.PermissionsPolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`PERMISSIONS_POLICY`
`"Permissions-Policy"`
org.springframework.security.web.server.header.ReferrerPolicyServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`REFERRER_POLICY`
`"Referrer-Policy"`
org.springframework.security.web.server.header.StrictTransportSecurityServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`STRICT_TRANSPORT_SECURITY`
`"Strict-Transport-Security"`
org.springframework.security.web.server.header.XContentTypeOptionsServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`NOSNIFF`
`"nosniff"`
`public static final String`
`X_CONTENT_OPTIONS`
`"X-Content-Type-Options"`
org.springframework.security.web.server.header.XFrameOptionsServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`X_FRAME_OPTIONS`
`"X-Frame-Options"`
org.springframework.security.web.server.header.XXssProtectionServerHttpHeadersWriter
Modifier and Type
Constant Field
Value
`public static final String`
`X_XSS_PROTECTION`
`"X-XSS-Protection"`

org.springframework.security.web.webauthn.api.CredentialPropertiesOutput
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_ID`
`"credProps"`